Bug Hunting Session
Bug 74591 - UI: Rename shortcut keys 'Prior' and 'Next' to 'PgUp' and 'PgDn'
Summary: UI: Rename shortcut keys 'Prior' and 'Next' to 'PgUp' and 'PgDn'
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium enhancement
Assignee: Rishabh
URL:
Whiteboard: target:4.5.0
Keywords:
Depends on:
Blocks:
 
Reported: 2014-02-05 22:42 UTC by dg1727
Modified: 2015-03-18 20:31 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description dg1727 2014-02-05 22:42:00 UTC
In Tools > Customize... > Keyboard tab, the key names Prior and Next are used.  

Those are the X keysym names.  I looked at [1] and found that (a) many of the photographed keyboards, even some from non-English-speaking areas, used some variation of PgUp or PgDn instead of Prior and Next, and (b) none of the photographed keyboards seemed to use Prior and Next.  

Knowing that LO is derived from code written by the former Sun Microsystems, which sold keyboards with a proprietary layout, I even looked at a photo of a Sun keyboard on eBay and found that those keys are of the PageUp/PageDown variety.  

Can the strings "Prior" and "Next" be changed to "PgUp" and "PgDn" so that most users can more easily understand those entries in the Customize dialog?  

[1] http://matadornetwork.com/abroad/the-ultimate-guide-to-computer-keyboards-around-the-world/
Comment 1 Julien Nabet 2014-02-06 21:06:21 UTC
Stefan: one for you?
Comment 2 Rishabh 2015-03-07 23:34:10 UTC
Pushed the changes. Up for the review .

https://gerrit.libreoffice.org/#/c/14788/
Comment 3 Commit Notification 2015-03-18 20:30:59 UTC
Rishabh Kumar committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=144ab285566afa18790356b5497573290ee710bf

tdf#74591 : Changes shortcut key "prior" and "next" to "PgUp" and "PgDn"

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.